OpenTTD Source: Data Fields

OpenTTD Source 15.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- c : Units, UnitsLong
- cache : Town
- cache_valid : NewGRFCache
- cached_air_drag : GroundVehicleCache
- cached_anim_triggers : BaseStation
- cached_axle_resistance : GroundVehicleCache
- cached_cargo_age_period : VehicleCache
- cached_cargo_triggers : BaseStation
- cached_curve_speed_mod : TrainCache
- cached_destinations : StationViewWindow
- cached_layout : Layouter::LineCacheItem
- cached_links : LinkGraphOverlay
- cached_max_curve_speed : TrainCache
- cached_max_range : AircraftCache
- cached_max_range_sqr : AircraftCache
- cached_max_speed : VehicleCache
- cached_max_te : GroundVehicleCache
- cached_max_track_speed : GroundVehicleCache
- cached_name : BaseStation, Industry, Town
- cached_power : GroundVehicleCache
- cached_relative_count : VehicleResolverObject
- cached_roadstop_anim_triggers : BaseStation
- cached_roadstop_cargo_triggers : BaseStation
- cached_slope_resistance : GroundVehicleCache
- cached_stations : LinkGraphOverlay
- cached_tilt : TrainCache
- cached_total_length : GroundVehicleCache
- cached_veh_length : GroundVehicleCache
- cached_vis_effect : VehicleCache
- cached_weight : GroundVehicleCache
- cached_width : Layouter::LineCacheItem
- caches : FontCache
- CalcDemand() : DemandCalculator
- CalcHash() : HashTable< Titem, Thash_bits_ >
- CalcNextVehicleOffset() : Train
- CalculatePositionInWidget() : IndustryCargoesWindow
- calendar_date : NetworkServerGameInfo
- calendar_start : NetworkServerGameInfo
- CalendarConvertDateToYMD() : TimerGame< T >
- CalendarConvertYMDToDate() : TimerGame< T >
- callback : CommandPacket, HTTPThreadSafeCallback, NetworkHTTPRequest, ResolverObject, Script_Suspend, ScriptInstance, SetDateWindow
- callback_mask : AirportTileSpec, CanalProperties, CargoSpec, EngineInfo, HouseSpec, IndustrySpec, IndustryTileSpec, ObjectSpec, StationSpec, WaterFeature
- callback_param1 : ResolverObject
- callback_param2 : ResolverObject
- callback_proc : FiosFileScanner
- callback_value : ScriptStorage
- CallbackResultSpriteGroup() : CallbackResultSpriteGroup
- callbacks : ClientNetworkContentSocketHandler, NIFeature, PickerFilterData
- caller_grfid : NewGRFInspectWindow
- CallLoad() : ScriptInstance
- CallMethod() : Squirrel
- calls : NewGRFProfiler
- can_build_widgets : BuildRailToolbarWindow
- can_do_autorefit : OrdersWindow
- can_do_refit : OrdersWindow
- canal_local_properties : GRFFile
- canal_speed_frac : ShipVehicleInfo
- CanAllocate() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >
- CanAllocateItem() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >
- CanalResolverObject() : CanalResolverObject
- CanBeUsed() : CombinedAuthenticationServerHandler, NetworkAuthenticationAuthorizedKeyHandler, NetworkAuthenticationDefaultAuthorizedKeyHandler, NetworkAuthenticationServerHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- CanCarryCargo() : Engine
- Cancel() : ClientNetworkContentSocketHandler
- cancel_button : QueryString
- CancelFollow() : ViewportData
- CancelReservation() : Vehicle
- CanDelChar() : Textbuf
- CanEnterNewTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanExitOldTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanJoinCompany() : NetworkClientInfo
- CanLeaveWithCargo() : Order
- CanLoadFromVersion() : AIInfo, GameInfo
- CanReadFromPacket() : Packet
- CanSendReceive() : NetworkTCPSocketHandler
- CanStartNew() : AI
- CanSuspend() : Squirrel
- CanUpgradeCurrent() : NewGRFWindow
- CanWriteToPacket() : Packet
- cap : Scrollbar
- capacities : LinkRefresher
- capacity : CargoSummaryItem, LinkGraph::BaseEdge, LinkProperties, LinkRefresher::RefitDesc, LRUCache< Tkey, Tdata, Thash, Tequality >, Path, RailVehicleInfo, RefitDesc, RefitResult, TestedEngineDetails
- CapacityAnnotation() : CapacityAnnotation
- caption : OskWindow, QueryWindow
- CaptionPlanes : VehicleListWindow
- captiontext : WidgetDimensions
- caret : Textbuf
- caretpos : Textbuf
- caretxoffs : Textbuf
- cargo : CargoDataEntry, CargoDelivery, CargoesField, CargoSummaryItem, GoodsEntry::GoodsEntryData, Industry::AcceptedCargo, Industry::ProducedCargo, LinkGraph
- Cargo() : LinkGraph, LinkGraphJob
- cargo : LinkProperties, LinkRefresher, LinkRefresher::Hop, LinkRefresher::RefitDesc, RefitDesc, RefitOption, TestedEngineDetails, Vehicle
- cargo_acceptance : HouseSpec, LandInfoWindow
- cargo_age_counter : Vehicle
- cargo_age_period : EngineInfo
- CARGO_AGING_TICKS : Ticks
- cargo_allowed : GRFTempEngineData
- cargo_allowed_required : GRFTempEngineData
- cargo_border : CargoesField
- cargo_cap : Vehicle
- cargo_disallowed : GRFTempEngineData
- cargo_field_width : CargoesField
- cargo_filter_criteria : BaseVehicleListWindow, BuildVehicleWindow
- cargo_icon_size : IndustryViewWindow, StationViewWindow
- cargo_input : IndustryProductionSpriteGroup
- cargo_label : CargoesField
- cargo_line : CargoesField
- CARGO_LINE_COLOUR : CargoesField
- cargo_list : GRFFile
- cargo_map : GRFFile
- cargo_mask : LinkGraphOverlay
- cargo_output : IndustryProductionSpriteGroup
- cargo_payment : Vehicle
- cargo_periods_in_transit : CargoList< Tinst, Tcont >
- cargo_space : CargoesField
- cargo_stub : CargoesField
- cargo_subtype : Vehicle
- cargo_textsize : IndustryCargoesWindow
- cargo_threshold : StationSpec
- cargo_triggers : RoadStopSpec, StationSpec
- cargo_type : RoadStopScopeResolver, StationScopeResolver, Subsidy, Vehicle
- cargo_types : BaseCargoGraphWindow
- CargoChanged() : GroundVehicle< T, Type >
- CargoClickedAt() : CargoesField
- cargoes : CargoesField, CompanyStationsWindow::FilterState
- CargoLabelClickedAt() : CargoesField
- CargoList() : CargoList< Tinst, Tcont >, CargoPacket
- CargoList< StationCargoList, StationCargoPacketMap > : StationCargoList
- CargoList< VehicleCargoList, CargoPacketList > : VehicleCargoList
- CargoPacket() : CargoPacket
- CargoPayment() : CargoPayment
- CargoResolverObject() : CargoResolverObject
- Case() : Case
- case_map : LanguageMap
- case_sensitive : StringFilter
- case_sensitive_break_check : ScriptDebugWindow::FilterState
- caseidx : Case
- cases : LanguagePackHeader
- cat : IntSettingDesc
- cat_index : MusicSongInfo
- catchment : AirportSpec
- catchment_tiles : Station
- CatchmentCoversTown() : Station
- category : AILibrary, GameLibrary, PriceBaseSpec
- cb : NewGRFProfiler::Call
- cb_bit : NICallback
- cb_id : NICallback
- CBinaryHeapT() : CBinaryHeapT< T >
- cell_size : DepotWindow
- center : ViewportSign
- CentreToHeight() : Rect
- cgcontext : VideoDriver_CocoaQuartz
- chain : LoadFilter, SaveFilter
- chain_index : NewGRFInspectWindow
- Change() : Backup< T >, Gamelog
- change : LoggedAction
- Change() : ScriptConfig
- change_date : Cheats
- change_timetable_all : TimetableWindow
- ChangeAnimationFrame() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback, Tframehelper >
- ChangeBits() : FaceVar
- ChangeMusicSet() : MusicSystem
- ChangePlaylist() : MusicSystem
- ChangePlaylistPosition() : MusicSystem
- ChangeRegisteredTimerPeriod() : TimerManager< TTimerType >
- ChangeResolution() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_Win32Base
- ChangeScript() : ScriptListWindow
- ChangeShare() : FlowStat
- ChangeToScript() : ScriptDebugWindow
- ChangeValue() : IntSettingDesc, StringSettingDesc
- channels : MpsMachine
- char_itr : IcuStringIterator
- char_stop : OSXStringIterator::CharInfo, UniscribeStringIterator::CharInfo
- chars : Textbuf
- CharType : CoreTextParagraphLayoutFactory, FallbackParagraphLayoutFactory, ICUParagraphLayoutFactory, UniscribeParagraphLayoutFactory
- chat_height : NewsWindow
- chat_tab_completion : NetworkChatWindow
- ChatTabCompletion() : NetworkChatWindow
- cheat_line_height : IndustryViewWindow
- check_proc : IndustrySpec
- check_result : MD5File
- checkable : LoadCheckData
- CheckActivity() : TCPConnecter, TCPServerConnecter
- CheckAllocationAllowed() : ScriptAllocator
- checkbox_size : NetworkContentListWindow
- CheckCallbacks() : TCPConnecter
- CheckConnection() : ClientNetworkGameSocketHandler, QueryNetworkGameSocketHandler
- CheckDependencyState() : ClientNetworkContentSocketHandler
- checked : DropDownCheck< TBase, TEnd, TFs >
- CheckIntegrity() : RoadStop::Entry
- CheckInvariant() : Kdtree< T, TxyFunc, CoordT, DistT >
- CheckMatch() : HotkeyList
- CheckMD5() : BaseSet< T >, GraphicsSet, MD5File
- CheckMethod() : ScriptInfo
- CheckPaletteAnim() : VideoDriver, VideoDriver_Allegro, VideoDriver_CocoaQuartz, VideoDriver_SDL_Base, VideoDriver_Win32Base
- CheckSelectedSize() : BuildRailStationWindow
- CheckShipReverse() : CYapfFollowShipT< Types >
- CheckStatus() : MusicSystem
- ChecksumResult : MD5File
- child : NWidgetBackground, TileLayoutRegisters
- children : CargoDataEntry, Group, NWidgetContainer
- ChooseAction() : VehicleCargoList
- chrono_start : TicToc
- ci : ContentTextfileWindow
- circle_size : BaseSettingEntry
- city : FoundTownWindow
- ClampToMap() : OrthogonalTileArea
- class_editbox : PickerWindow
- class_id : HouseClassMapping, HouseSpec
- class_index : Badge, GUIBadgeClasses::Element, NewGRFSpecBase< Tindex >
- class_last_filtering : PickerCallbacks
- class_last_sorting : PickerCallbacks
- class_mask : HousePickerCallbacks
- classes : Badges, CargoSpec, NewGRFClass< Tspec, Tindex, Tmax >
- Classes() : NewGRFClass< Tspec, Tindex, Tmax >
- classes : PickerWindow, UsedBadgeClasses
- Clean() : PoolBase
- cleaning : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >
- CleaningPool() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >
- CleanPool() : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >, PoolBase
- CleanupPaths() : MultiCommodityFlow
- Clear() : CargoDataEntry, CBinaryHeapT< T >, ClientNetworkContentSocketHandler, DiagonalTileArea, GroupStatistics, HashTable< Titem, Thash_bits_ >, HashTableSlot< TItem >, IniGroup, Kdtree< T, TxyFunc, CoordT, DistT >, LinkGraphSchedule, LoadCheckData, LRUCache< Tkey, Tdata, Thash, Tequality >, NWidgetContainer, OrthogonalTileArea, OutputBuffer, OutputStore, VehicleSpriteSeq
- clear_cost_multiplier : ObjectSpec, RoadStopSpec
- clear_cursor_cache : OpenGLBackend
- clear_frame_burst : ConstructionSettings
- clear_limit : CompanyProperties
- clear_per_64k_frames : ConstructionSettings
- ClearArticulatedPart() : GroundVehicle< T, Type >
- ClearChanges() : BasePersistentStorageArray, PersistentStorageArray< TYPE, SIZE >
- ClearConfigList() : ScriptConfig
- ClearCursorCache() : OpenGLBackend
- ClearData() : GoodsEntry
- ClearDataForNextFile() : GrfProcessingState
- ClearDriveThrough() : RoadStop
- ClearEngine() : GroundVehicle< T, Type >
- ClearFontCache() : CoreTextFontCache, FontCache, FreeTypeFontCache, MockFontCache, SpriteFontCache, TrueTypeFontCache, Win32FontCache
- ClearFontCaches() : FontCache
- ClearFreeWagon() : GroundVehicle< T, Type >
- ClearFrontEngine() : GroundVehicle< T, Type >
- ClearGroup() : OrderBackup
- ClearMultiheaded() : GroundVehicle< T, Type >
- ClearSystemSprites() : VideoDriver, VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- ClearVehicle() : OrderBackup
- ClearWagon() : GroundVehicle< T, Type >
- click : DropDownToggle< TBase, TEnd >
- click_beep : SoundSettings
- click_delay : DropdownWindow
- click_down : DropDownMover< TBase, TEnd, TFs >
- click_state : SelectCompanyManagerFaceWindow
- click_tile_proc : TileTypeProcs
- click_up : DropDownMover< TBase, TEnd, TFs >
- click_x : RefitWindow
- clicked : NWidgetMatrix
- clicked_button : GSConfigWindow, IndustryViewWindow, NewGRFParametersWindow, ScriptSettingsWindow
- clicked_dropdown : GSConfigWindow, NewGRFParametersWindow, ScriptSettingsWindow
- clicked_entry : GameOptionsWindow
- clicked_increase : GSConfigWindow, NewGRFParametersWindow, ScriptSettingsWindow
- clicked_line : IndustryViewWindow
- clicked_pixel : NewGrfDebugSpritePicker
- clicked_row : GSConfigWindow, NewGRFParametersWindow, ScriptSettingsWindow
- client_address : ServerNetworkGameSocketHandler
- client_id : NetworkClientInfo, NetworkGameSocketHandler
- client_name : NetworkClientInfo, NetworkSettings
- client_playas : NetworkClientInfo
- client_public_key : NetworkSettings
- client_secret_key : NetworkSettings
- ClientError() : ClientNetworkGameSocketHandler
- ClientIdIsSet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- ClientNetworkGameSocketHandler() : ClientNetworkGameSocketHandler
- clients : NetworkCompanyInfo
- clients_max : NetworkServerGameInfo
- clients_on : NetworkServerGameInfo
- ClientSizeChanged() : VideoDriver_SDL_Base
- ClientStatus : ServerNetworkGameSocketHandler
- ClientToServer() : X25519DerivedKeys
- climate : ObjectSpec
- climate_availability : IndustrySpec
- climates : EngineInfo
- Clone() : AirportTileIterator, AirportTileTableIterator, BitmapTileIterator, DiagonalTileIterator
- clone : OrderBackup
- Clone() : OrthogonalTileIterator, TileIterator
- Close() : AIConfigWindow, BaseNetworkContentDownloadStatusWindow, BootstrapAskForDownloadWindow, BootstrapContentDownloadStatusWindow, BootstrapErrorWindow, BuildAirportWindow, BuildAirToolbarWindow, BuildDocksStationWindow, BuildDocksToolbarWindow, BuildRailStationWindow, BuildRailToolbarWindow, BuildRoadStationWindow, BuildRoadToolbarWindow, BuildSignalWindow, DepotWindow, DropdownWindow, EndGameWindow, ErrmsgWindow, GameOptionsWindow, GSConfigWindow, HighScoreWindow, IConsoleWindow, NetworkAskRelayWindow, NetworkChatWindow, NetworkContentDownloadStatusWindow, NetworkContentListWindow, NewGRFWindow
- close : NewsSettings
- Close() : PickerWindow, PickerWindowBase, QueryStringWindow, QueryWindow, SaveLoadWindow, SelectStationWindow< T >, SmallMapWindow, StationViewWindow, TownViewWindow, VehicleViewWindow, WaypointWindow, Window
- close_cond : TooltipsWindow
- CloseAllConnections() : ClientNetworkCoordinatorSocketHandler
- closebox : WidgetDimensions
- closebox_dimension : NWidgetLeaf
- CloseChildWindowById() : Window
- CloseChildWindows() : Window
- CloseConnection() : ClientNetworkContentSocketHandler, ClientNetworkCoordinatorSocketHandler, ClientNetworkGameSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, NetworkAdminSocketHandler, NetworkGameSocketHandler, NetworkTCPSocketHandler, QueryNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- closed_nodes : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- closed_windows : Window
- ClosedCount() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- CloseLibrary() : LibraryLoader
- CloseListeners() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- CloseSocket() : NetworkTCPSocketHandler, NetworkUDPSocketHandler
- CloseStunHandler() : ClientNetworkCoordinatorSocketHandler
- CloseToken() : ClientNetworkCoordinatorSocketHandler
- CloseTurnHandler() : ClientNetworkCoordinatorSocketHandler
- closing_dropdown : GameOptionsWindow, GSConfigWindow, NewGRFParametersWindow, ScriptSettingsWindow
- closure_text : IndustrySpec
- ClrTile() : BitmapTileArea
- cls : WindowDesc
- cmd : CommandPacket, SaveLoad
- CmdGet() : IConsole
- cmdline : IConsoleAlias
- CmdRegister() : IConsole
- cmp_mode : RandomizedSpriteGroup
- cocoaview : VideoDriver_Cocoa
- code : CurrencySpec, DefaultUnicodeMapping
- col_break : LegendAndColour
- CollectGarbage() : ScriptInstance, Squirrel
- colour : ButtonCommon, ChatMessage, CompanyNewsInformation, CompanyProperties, Font, GoalQuestionWindow, IConsoleLine, LegendAndColour, NWidgetCore, NWidgetMatrix, NWidgetPartTextStyle, NWidgetPartWidget, Object, TextfileWindow::Line
- colour1 : Livery
- colour2 : Livery
- colour_space : VideoDriver_Cocoa
- colour_stack : FontState
- ColourARGB() : ColourARGB
- ColourBGRA() : ColourBGRA
- coloured_news_year : GUISettings
- colourmap : Vehicle
- ColourRGBA() : ColourRGBA
- colours : SpriteLoader::Sprite
- column : BadgeClassConfigItem
- column_group : GUIBadgeClasses::Element
- column_size : VehicleGroupWindow
- column_width : SmallMapWindow
- columns : CargoesRow
- combine_sprites : ViewportDrawer
- command_index : IntroGameViewportCommand
- command_pause_level : ConstructionSettings
- CommandCost() : CommandCost
- commands_per_frame : NetworkSettings
- commands_per_frame_server : NetworkSettings
- comment : IniGroup, IniItem, IniLoadFile
- companies : LoadCheckData
- companies_max : NetworkServerGameInfo
- companies_on : NetworkServerGameInfo
- company : ClientSettings, CommandPacket
- Company() : Company
- company : ErrorMessageData, Goal, LeagueTableElement, LegendAndColour, NetworkJoinInfo, ScriptStorage, StoryPage, VehicleListIdentifier
- company_avail : Engine
- company_hidden : Engine
- company_info : NewsSettings
- company_information : NewGRFCache
- company_mask : LinkGraphOverlay
- company_name : CompanyNewsInformation, NetworkCompanyInfo
- company_value : BuyCompanyWindow, CompanyEconomyEntry, NetworkCompanyInfo
- CompanyNewsInformation() : CompanyNewsInformation
- CompanyWindowPlanes : CompanyWindow
- CompareTo() : NetworkAddress
- compatible : NetworkGameInfo
- Compatible : StrongType::Typedef< TBaseType, TTag, TProperties >
- compatible_railtypes : RailTypeInfo
- compatible_roadtypes : RoadVehicle
- competitor_intelligence : DifficultySettings
- competitor_speed : DifficultySettings
- competitor_start_time : DifficultySettings
- competitors_interval : DifficultySettings
- Compile() : GameStrings
- compiled_strings : GameStrings
- CompileError() : Squirrel
- complete_labels : GRFParameterInfo, ScriptConfigItem
- completed : Goal
- ComposeColourPA() : Blitter_32bppBase
- ComposeColourPANoCheck() : Blitter_32bppBase
- ComposeColourRGBA() : Blitter_32bppBase
- ComposeColourRGBANoCheck() : Blitter_32bppBase
- compression : BmpInfo
- COMPRESSION_INTERVAL : LinkGraph
- ComputeCargoDisplay() : IndustryCargoesWindow
- ComputeGroupInfoSize() : VehicleGroupWindow
- ComputeIndustryDisplay() : IndustryCargoesWindow
- ComputeScroll() : SmallMapWindow
- config_list : ScriptConfig, ScriptInfo
- confirm : SoundSettings
- conflicting : IndustrySpec
- Connect() : ClientNetworkContentSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, NetworkHTTPRequest, NetworkHTTPSocketHandler, TCPConnecter
- connect_started : ClientNetworkTurnSocketHandler
- connect_time : ServerNetworkAdminSocketHandler
- connect_to_ip : NetworkSettings
- ConnectCargo() : CargoesField
- connecter : ClientNetworkCoordinatorSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler
- connecter_pre : ClientNetworkCoordinatorSocketHandler
- connecters : TCPConnecter
- ConnectFailure() : ClientNetworkCoordinatorSocketHandler
- ConnectIndustryAccepted() : CargoesRow
- ConnectIndustryProduced() : CargoesRow
- connecting : ClientNetworkCoordinatorSocketHandler
- connection : NetworkHTTPRequest
- connection_string : AfterNewGRFScan, ClientNetworkGameSocketHandler, ClientNetworkTurnSocketHandler, NetworkGame, NetworkJoinInfo, QueryNetworkGameSocketHandler, ServerAddress, TCPConnecter
- ConnectSuccess() : ClientNetworkCoordinatorSocketHandler
- ConnectToServer() : ClientNetworkCoordinatorSocketHandler
- consist_capleft : FinalizeRefitAction, PrepareRefitAction
- consist_cargo_information : NewGRFCache
- ConsistChanged() : Train
- consistent_max_offset : NewGRFSpriteLayout
- console_backlog_length : GUISettings
- console_backlog_timeout : GUISettings
- ConstIterator : CargoList< Tinst, Tcont >
- ConstReverseIterator : CargoList< Tinst, Tcont >
- construction : GameSettings
- construction_cost : DifficultySettings
- construction_date : Industry
- construction_type : Industry
- Constructor() : AIInfo, AILibrary, GameInfo, GameLibrary, ScriptInfo
- consumer : InPlaceReplacement
- cont : GetOptData
- container : NWidgetPart::NWidgetPartUnion
- container_version : SpriteFile
- Contains() : DiagonalTileArea
- contains() : FlatSet< Tkey, Tcompare >
- Contains() : LRUCache< Tkey, Tdata, Thash, Tequality >, NetworkAuthorizedKeys, OrthogonalTileArea, Rect
- content : NetworkContentListWindow
- content_begin : SpriteFile
- content_type : BaseSetTextfileWindow
- content_type_strs : NetworkContentListWindow
- ContentIDList : ClientNetworkContentSocketHandler
- context : RailTypeScopeResolver, RoadTypeScopeResolver, X25519EncryptionHandler
- Continue() : ScriptInstance
- control_flags : SpriteCache
- ControlFlag : BridgeSpec
- controller : ScriptInstance
- conv : SaveLoad
- convert : RailTypeInfo
- convert_rail : RailTypeInfo
- convert_road : RoadTypeInfo
- ConvertDateToYMD() : TimerGameCalendar, TimerGameEconomy
- ConvertFromOldSavegame() : Order
- ConvertState() : GoodsEntry
- ConvertYMDToDate() : TimerGameCalendar, TimerGameEconomy
- coord : Vehicle
- CopyConsistPropertiesFrom() : BaseConsist
- CopyFromBuffer() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- CopyImageToBuffer() : Blitter, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- CopyParams() : GRFConfig
- CopyToBuffer() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- CopyVehicleConfigAndStatistics() : Vehicle
- CopyWithoutPalette() : VehicleSpriteSeq
- cost : CommandCost, TestedEngineDetails
- cost_factor : RailVehicleInfo
- cost_multiplier : IndustrySpec, RailTypeInfo, RoadTypeInfo
- costs : ScriptStorage
- Count() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- count : CargoDataEntry, CargoList< Tinst, Tcont >
- Count() : CargoPacket
- count : CargoPacket
- Count() : HashTable< Titem, Thash_bits_ >, Kdtree< T, TxyFunc, CoordT, DistT >
- count : NWidgetMatrix, Scrollbar
- count_dirty : Palette
- count_width : DepotWindow
- CountDraggedLength() : DepotWindow
- CountEngine() : GroupStatistics
- counter : Industry, TimerGameTick
- COUNTER_STEP : StatusBarWindow
- CountInUse() : StringData
- CountLines() : GoalListWindow, SubsidyListWindow
- CountMatchingAcceptingIndustries() : IndustryCargoesWindow
- CountMatchingProducingIndustries() : IndustryCargoesWindow
- CountRuns() : FallbackParagraphLayout::FallbackLine
- counts : Object
- CountValue() : Kdtree< T, TxyFunc, CoordT, DistT >
- CountVehicle() : GroupStatistics
- coverage_height : BuildRailStationWindow, BuildRoadStationWindow
- CR_MATCH : MD5File
- CR_MISMATCH : MD5File
- CR_NO_FILE : MD5File
- CR_UNKNOWN : MD5File
- Crash() : Aircraft, GroundVehicle< T, Type >, RoadVehicle, Train, Vehicle
- crash_anim_pos : Train
- crashed : Squirrel
- crashed_counter : Aircraft
- crashed_ctr : RoadVehicle
- CrashLogOSX() : CrashLogOSX
- CrashLogUnix() : CrashLogUnix
- CrashLogWindows() : CrashLogWindows
- CrashOccurred() : Squirrel
- Create() : NetworkAuthenticationClientHandler, NetworkAuthenticationServerHandler, OpenGLBackend, OpenGLSprite, StringIterator, TCPConnecter, TileIterator
- CreateClassInstance() : Squirrel
- CreateClassInstanceVM() : Squirrel
- CreateClientToServerEncryptionHandler() : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyClientHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEClientHandler, X25519PAKEServerHandler
- CreateFileName() : CrashLog
- CreateGroup() : IniLoadFile
- CreateInstance() : BlitterFactory, DriverFactoryBase, FBlitter_32bppAnim, FBlitter_32bppOptimized, FBlitter_32bppSimple, FBlitter_40bppAnim, FBlitter_8bppOptimized, FBlitter_8bppSimple, FBlitter_Null, FMusicDriver_Allegro, FMusicDriver_BeMidi, FMusicDriver_Cocoa, FMusicDriver_DMusic, FMusicDriver_ExtMidi, FMusicDriver_FluidSynth, FMusicDriver_Null, FMusicDriver_Win32, FSoundDriver_Allegro, FSoundDriver_Cocoa, FSoundDriver_Null, FSoundDriver_SDL, FSoundDriver_Win32, FSoundDriver_XAudio2, FVideoDriver_Allegro, FVideoDriver_CocoaOpenGL, FVideoDriver_CocoaQuartz, FVideoDriver_Dedicated, FVideoDriver_Null, FVideoDriver_SDL_Default, FVideoDriver_SDL_OpenGL, FVideoDriver_Win32GDI
- CreateItem() : IniGroup
- CreateMainWindow() : VideoDriver_SDL_Base, VideoDriver_SDL_OpenGL
- CreateNestedTree() : Window
- CreateNewNode() : CYapfBaseT< Types >, NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- CreatePublicKey() : X25519SecretKey
- CreateRandom() : X25519Nonce, X25519SecretKey
- CreateRandomPath() : CYapfFollowShipT< Types >
- CreateServerToClientEncryptionHandler() : CombinedAuthenticationClientHandler, CombinedAuthenticationServerHandler, NetworkAuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyClientHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEClientHandler, X25519PAKEServerHandler
- criteria : Filtering, Listing
- crossing : RailTypeInfo
- crossing_tunnels : Cheats
- crossing_with_competitor : ConstructionSettings
- cs : Packet, PacketWriter
- ctlflags : Industry
- ctrl_flags : BridgeSpec
- ctt_exclude_mask : GRFTempEngineData
- ctt_include_mask : GRFTempEngineData
- cur_call : NewGRFProfiler
- cur_colour : FontState
- cur_economy : CompanyProperties
- cur_file : ClientNetworkContentSocketHandler
- cur_id : BaseNetworkContentDownloadStatusWindow
- cur_implicit_order_index : BaseConsist
- cur_info : ClientNetworkContentSocketHandler
- cur_language : GameStrings
- cur_line : StrgenState
- cur_offset : CoreTextParagraphLayout
- cur_pos : OSXStringIterator, UniscribeStringIterator
- cur_program : MpsMachine::Channel
- cur_range : UniscribeParagraphLayout
- cur_range_offset : UniscribeParagraphLayout
- cur_real_order_index : BaseConsist
- cur_speed : Vehicle
- cur_viewport_command_index : SelectGameWindow
- cur_viewport_command_time : SelectGameWindow
- currency : LocaleSettings
- current : CrashLogOSX, CrashLogUnix, CrashLogWindows, PacketWriter
- current_address : TCPConnecter
- current_edit_param : NewGRFInspectWindow
- current_element : NWidgetMatrix
- current_handler : CombinedAuthenticationClientHandler
- current_loan : CompanyProperties
- current_mode : StationViewWindow
- current_order : Vehicle
- current_order_time : BaseConsist
- current_sprite : SpriteAlignerWindow
- current_station : CargoPayment
- current_tempo : MpsMachine
- current_tile : CargoDelivery, CargoLoad, CargoReturn, CargoTransfer
- current_x : NWidgetBase
- current_y : NWidgetBase
- cursor : RailTypeInfo, RoadTypeInfo
- cursor_cache : OpenGLBackend
- cursor_in_window : OpenGLBackend
- cursor_pos : OpenGLBackend
- cursor_sprites : OpenGLBackend
- curve_speed : RailTypeInfo
- curve_speed_mod : RailVehicleInfo
- cust_cargoes : CargoesField
- custom_1 : MusicSettings
- custom_2 : MusicSettings
- custom_industry_number : GameCreationSettings
- custom_message : GRFError
- custom_roadstop_tile_data : BaseStation
- custom_sea_level : GameCreationSettings
- custom_terrain_type : GameCreationSettings
- custom_town_number : GameCreationSettings
- CWP_RELOCATE_HIDE : CompanyWindow
- CWP_RELOCATE_SHOW : CompanyWindow
- CWP_VB_BUILD : CompanyWindow
- CWP_VB_VIEW : CompanyWindow
- CYapfBaseT() : CYapfBaseT< Types >
- cycle_signal_types : GUISettings